include:
  - project: repos/releng/kokkuri
    file: includes/images.yaml

stages:
  - verify
  - publish-image

lint:
  stage: verify
  extends: .kokkuri:build-and-run-image
  variables:
    BUILD_VARIANT: lint

test:
  stage: verify
  extends: .kokkuri:build-and-run-image
  variables:
    BUILD_VARIANT: test

publish-docpub-image:
  stage: publish-image
  extends: .kokkuri:build-and-publish-image
  variables:
    BUILD_VARIANT: docpub
    PUBLISH_IMAGE_TAG: latest
  tags:
    - trusted
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH && $CI_COMMIT_REF_PROTECTED
